## How to Use:

These files has been designed exclusively for Firefox running GNU/Linux on Pinephone and Pinephone Pro.



## Settings Protection:

Important settings are enforced/locked within `mozilla.cfg`, those settings cannot be changed by addons/updates/Firefox or unwanted/accidental manipulation; To change those settings you can easily do it by editing `mozilla.cfg`.



## Installation:

- Clone or download zip file and extract it
- Locate Firefox's installation directory `/usr/lib/firefox-esr/` or `/usr/lib/firefox/`
- Copy the files contained in `config` folder to the install directory
- Start Firefox and test if config was applied browsing to `about:config`.



## Uninstall:

- To uninstall, just remove the files you added to your Firefox's install directory; then restart Firefox.


## Mobile view troubleshootings

* Due to Firefox is a desktop browser and managing addons is complicated the easiest way to have mobile view is disabling privacy.resistFingerprinting and forcing Android UserAgent. Those changes are reversible, though.


# Known problems

`Some breakage?`

Try changing "network.http.referer.XOriginPolicy" from 2 to 1


`Infinite loop loading some webs?`

This is related to cookies. Block all of them momentarily changing "network.cookie.cookieBehavior" from 5 to 2


`Enabling a string with the value defaultPref("browser.contentblocking.category", "strict/standard/custom"); doesn't work and breaks TCP`

Nevertheless, by using LockPref instead works. Anyway, I prefer not locking this, for example if you want to block all cookies.



## Thanks:

* [arkenfox](https://github.com/arkenfox/user.js) - The mayority content of this mozilla.cfg.
* [QUINDECIM](https://git.nixnet.services/quindecim/mozilla.cfg) - Original mozilla.cfg and design.
* [Librewolf](https://librewolf.net) - Some strings.
* [celenity](https://codeberg.org/celenity/Phoenix) - More strings.
* [postmarketOS](https://gitlab.com/postmarketOS/mobile-config-firefox) - Performance strings.
